Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455253 - [4.7] /proc/acpi/dsdt: No such device
Summary: [4.7] /proc/acpi/dsdt: No such device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: ia64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 461304
TreeView+ depends on / blocked
 
Reported: 2008-07-14 13:59 UTC by Qian Cai
Modified: 2009-05-18 19:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:37:16 UTC


Attachments (Terms of Use)
ia64 workaround for this issue (deleted)
2008-07-28 12:30 UTC, Prarit Bhargava
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Qian Cai 2008-07-14 13:59:07 UTC
Description of problem:
I have seen two HP IA64 machines,

hp-matterhorn1.rhts.bos.redhat.com
hp-olympia1.rhts.bos.redhat.com

failed to read /proc/acpi/dsdt: No such device. There is no such problem on
RHEL5-U2 Kernel though.

Version-Release number of selected component (if applicable):
Both 4.7 and 4.6.z Kernel,
kernel-2.6.9-78.EL
kernel-2.6.9-67.0.20.EL

How reproducible:
Always

Steps to Reproduce:
cat /proc/acpi/dsdt
  
Actual results:
No such device

Expected results:
Display some content.

Comment 1 Prarit Bhargava 2008-07-27 22:11:10 UTC
What appears to be happening is that the ACPI code attempts to reserve 128K+
memory for the dsdt table.  

a) I don't know if the calculation for the dsdt is correct in RHEL4, and b) I'm
going to load RHEL5 (which works) to see if the same size reservation is made.

I asked lwoodman (in private email) about this and he did say that the upper
limit of kmalloc in RHEL4 is 128K.

P.

Comment 2 Prarit Bhargava 2008-07-27 22:54:38 UTC
>a) I don't know if the calculation for the dsdt is correct in RHEL4, and b) I'm
>going to load RHEL5 (which works) to see if the same size reservation is made.

dsdt size is 0x226a5 on both RHEL4 & RHEL5.  The problem here is that RHEL4 has
a 128K limit on kmalloc.  The code in question should use alloc_pages() to avoid
this bug.

P.


Comment 3 Prarit Bhargava 2008-07-28 11:03:38 UTC
After thinking about this, I'm curious as to why the dsdt size is 0x226a5. 
Maybe that's a BIOS/ACPI Table error?  To make matters worse, it is alloc'd many
times during a 'cat /proc/acpi/dsdt' ...

P.

Comment 4 Prarit Bhargava 2008-07-28 11:04:04 UTC
Doug -- comment #3?

P.

Comment 5 Prarit Bhargava 2008-07-28 12:30:42 UTC
Created attachment 312765 [details]
ia64 workaround for this issue

Comment 6 Prarit Bhargava 2008-07-28 13:04:09 UTC
Adding Alex and Tony -- HP engineers.  Do you know if the dsdt is supposed to be
that large on these systems?

P.

Comment 7 Prarit Bhargava 2008-07-28 13:25:59 UTC
Taking out of NEEDINFO.  I downloaded acpidump, compiled, and ran it on
matterhorn1.  AFAICT, it looks like the table is valid.

P.

Comment 8 Tony Camuso 2008-07-28 14:49:36 UTC
Prarit, 

Can you find the DSDT in the ACPI dump?

If so, bytes 7:4 give the length of the table. 

That is the amount of space that should be allocated. 

Comment 9 Prarit Bhargava 2008-07-28 15:18:04 UTC
Hi Tony, yup I found that using the acpidump utility.  The amount there
corresponds to what is being allocated -- and the table looks fine, IMO.  So I
posted the patch to RHKL.

P.

Comment 10 Tony Camuso 2008-08-13 19:29:33 UTC
Prarit, 

Since you've posted the patch, I assume that this problem has been solved and we can close this BZ. Correct?

Comment 11 Prarit Bhargava 2008-08-13 19:35:26 UTC
Hi Tony,

This BZ is in POST -- where it should be for now.  dzickus will move it into MODIFIED, and eventually it will be CLOSED NEXTRELEASE.

ie) leave it in POST.

P.

Comment 12 Tony Camuso 2008-08-13 19:55:42 UTC
Thanks, Prarit. 

Just doing a little housekeeping. 
:)

Comment 13 RHEL Product and Program Management 2008-09-03 13:16:49 UTC
Updating PM score.

Comment 14 Qian Cai 2008-09-28 09:45:43 UTC
It might be interesting to check this bug,
bug 464406 -  [4.7.z] SGI Altix ACPI Problem .
https://bugzilla.redhat.com/show_bug.cgi?id=464406

Comment 15 Qian Cai 2008-12-29 06:14:45 UTC
The machine hp-rx8640-03.rhts.bos.redhat.com is also affected.

Comment 16 Vivek Goyal 2009-01-15 14:03:48 UTC
Committed in 78.29.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 20 errata-xmlrpc 2009-05-18 19:37:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.